hpp-manipulation-urdf: hpp::manipulation::parser Namespace Reference

hpp-manipulation-urdf 9.0.2 Implementation of a parser for hpp-manipulation.

Loading...
Searching...
No Matches
Classes | Typedefs | Functions
hpp::manipulation::parser Namespace Reference

## Classes
class | IgnoreTagFactory
class | ObjectFactory
| Class that catch XML Parser events for a specific tag and build the corresponding Object. More...
class | Parser
| Parse an XML document. More...
class | RootFactory
| Represent a XML document. More...
class | SequenceFactory
| Factory parsing sequence of values. More...

## Typedefs
typedef tinyxml2::XMLElement | XMLElement
typedef tinyxml2::XMLDocument | XMLDocument
typedef tinyxml2::XMLAttribute | XMLAttribute
typedef tinyxml2::XMLNode | XMLNode
typedef tinyxml2::XMLText | XMLText

## Functions
template<typename Container >
void | readSequence (const std::string &str, Container &out, int size=-1)
template<typename T >
ObjectFactory * | create (ObjectFactory *parent=NULL, const XMLElement *element=NULL)
std::ostream & | operator<< (std::ostream &, const ObjectFactory &)
std::ostream & | operator<< (std::ostream &, const Parser &)

## Typedef Documentation

## ◆ XMLAttribute

typedef tinyxml2::XMLAttribute hpp::manipulation::parser::XMLAttribute

## ◆ XMLDocument

typedef tinyxml2::XMLDocument hpp::manipulation::parser::XMLDocument

## ◆ XMLElement

typedef tinyxml2::XMLElement hpp::manipulation::parser::XMLElement

## ◆ XMLNode

typedef tinyxml2::XMLNode hpp::manipulation::parser::XMLNode

## ◆ XMLText

typedef tinyxml2::XMLText hpp::manipulation::parser::XMLText

## Function Documentation

## ◆ create()

template<typename T >

ObjectFactory * hpp::manipulation::parser::create | ( | ObjectFactory * | parent = NULL,
|  | const XMLElement * | element = NULL )

To add a ObjectFactory to the Parser, use: Parser::addObjectFactory (TagName, create <ObjectFactory>)

## ◆ operator<<() [1/2]

std::ostream & hpp::manipulation::parser::operator<< | ( | std::ostream & | ,
|  | const ObjectFactory & | )

## ◆ operator<<() [2/2]

std::ostream & hpp::manipulation::parser::operator<< | ( | std::ostream & | ,
|  | const Parser & | )